iosfwd File Reference

Go to the source code of this file.

## Classes

class | std::basic_filebuf< _CharT, _Traits >
class | std::basic_fstream< _CharT, _Traits >
class | std::basic_ifstream< _CharT, _Traits >
class | std::basic_ios< _CharT, _Traits >
class | std::basic_iostream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >
class | std::basic_istringstream< _CharT, _Traits, _Alloc >
class | std::basic_ofstream< _CharT, _Traits >
class | std::basic_ostream< _CharT, _Traits >
class | std::basic_ostringstream< _CharT, _Traits, _Alloc >
class | std::basic_streambuf< _CharT, _Traits >
class | std::basic_stringbuf< _CharT, _Traits, _Alloc >
class | std::basic_stringstream< _CharT, _Traits, _Alloc >
class | std::istreambuf_iterator< _CharT, _Traits >
class | std::ostreambuf_iterator< _CharT, _Traits >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_IOSFWD

## Typedefs

typedef basic_filebuf< char > | std::filebuf
typedef basic_fstream< char > | std::fstream
typedef basic_ifstream< char > | std::ifstream
typedef basic_ios< char > | std::ios
typedef basic_iostream< char > | std::iostream
typedef basic_istream< char > | std::istream
typedef basic_istringstream< char > | std::istringstream
typedef basic_ofstream< char > | std::ofstream
typedef basic_ostream< char > | std::ostream
typedef basic_ostringstream< char > | std::ostringstream
typedef basic_streambuf< char > | std::streambuf
typedef basic_stringbuf< char > | std::stringbuf
typedef basic_stringstream< char > | std::stringstream
typedef basic_filebuf< wchar_t > | std::wfilebuf
typedef basic_fstream< wchar_t > | std::wfstream
typedef basic_ifstream< wchar_t > | std::wifstream
typedef basic_ios< wchar_t > | std::wios
typedef basic_iostream< wchar_t > | std::wiostream
typedef basic_istream< wchar_t > | std::wistream
typedef basic_istringstream < wchar_t > | std::wistringstream
typedef basic_ofstream< wchar_t > | std::wofstream
typedef basic_ostream< wchar_t > | std::wostream
typedef basic_ostringstream < wchar_t > | std::wostringstream
typedef basic_streambuf< wchar_t > | std::wstreambuf
typedef basic_stringbuf< wchar_t > | std::wstringbuf
typedef basic_stringstream < wchar_t > | std::wstringstream

## Detailed Description

This is a Standard C++ Library header.

Definition in file iosfwd.